  uniform mat4 u_MVPMatrix;
  uniform mat4 u_MVMatrix;
  uniform vec3 u_LightPos;

  attribute vec2 a_TexCoordinate; // Per-vertex texture coordinate information we will pass in.
  attribute vec4 a_Position;
  attribute vec4 a_Color;
  attribute vec3 a_Normal;

  varying vec4 v_Color;
  varying vec2 v_TexCoordinate;   // This will be passed into the fragment shader.
  varying vec3 v_Normal;	      // This will be passed into the fragment shader.
  void main()
  {
// Transform the vertex into eye space.
    vec3 modelViewVertex = vec3(u_MVMatrix * a_Position);

	// Pass through the texture coordinate.
	v_TexCoordinate = a_TexCoordinate;

	// Transform the normal's orientation into eye space.
    v_Normal = vec3(u_MVMatrix * vec4(a_Normal, 0.0));

    // Will be used for attenuation.

//    float distance = length(u_LightPos - modelViewVertex);
      float distance = length(u_LightPos - vec3(0.5, 0.5, 0.5));


// Get a lighting direction vector from the light to the vertex.
       vec3 lightVector = normalize(u_LightPos - vec3(0.5, 0.5, 0.5));


// Calculate the dot product of the light vector and vertex normal. If t
// pointing in the same direction then it will get max illumination.
     float diffuse =max( dot(a_Normal, lightVector), 0.1) ;

// Attenuate the light based on distance.
     diffuse = diffuse * (1.0 / (1.0 +  ( 0.25* distance * distance)));

// Multiply the color by the illumination level. It will be interpolated
     v_Color = a_Color ;

// gl_Position is a special variable used to store the final position.
// Multiply the vertex by the matrix to get the final point in normalize
     gl_Position = u_MVPMatrix * a_Position;
  }
